{% extends 'CoreGUIBundle::base_app.html.twig' %}

{% block head_script %}
    {{parent()}}
    <script type="text/javascript" src="{{ asset('bundles/coreseguridad/js/jquery.ui.shake.js') }}"></script>
    <script type="text/javascript">
        {{ include('CoreSeguridadBundle:Login:js_login.js.twig') }}
    </script>
{% endblock head_script %}

{% block body %}
    <style type="text/css">
        html{ height: 100%; }
    </style>

    <body class="login-layout light-login" style="height: 100%;display: flex; align-items: center; justify-content: center;">
        <div class="main-container">
            <div class="main-content">
                <div class="login-container">
                    <div class="space-6"></div>
                    <div class="position-relative">
                        {% if(app.environment=="test") %}
                            <div class="" style="width: 100%;">
                                <h4 class="badge-yellow" style="padding: 2px; text-align:center;color: red; letter-spacing: 8px;font-weight: bold">AMBIENTE DE PRUEBAS</h4>
                            </div>
                        {%  endif %}
                        <div id="login-box" class="login-box visible widget-box no-border">
                            <div class="widget-body">
                                <div class="widget-main">
                                    <div class="row center" style="padding: 5px 0 20px;">
                                        <img src="{{asset("bundles/coregui/app/images/logomsp.png")}}" width="180px"/>
                                    </div>
                                    <form id="frmLogin" action='{{path('app_login_check')}}' method='post' autocomplete="off">
                                        <fieldset>
                                            <div class="form-group">
                                                <label class="block clearfix">
                                                    <span class="block input-icon input-icon-right">
                                                        <input name="usuario" id="usuario" type="text" class="form-control required alphanumeric" placeholder="Ingrese su Usuario"/>
                                                        <i class="ace-icon fa fa-user"></i>
                                                    </span>
                                                </label>
                                            </div>
                                            <div class="form-group">
                                                <label class="block clearfix">
                                                    <span class="block input-icon input-icon-right">
                                                        <input name="clave" id="clave" type="password" class="form-control required" placeholder="Ingrese su Contraseña"/>
                                                        <i class="ace-icon fa fa-lock"></i>
                                                    </span>
                                                </label>
                                            </div>
                                            <div class="space"></div>
                                            <div class="clearfix">
                                                <button id="login" type="submit" class="width-35 pull-right btn btn-sm btn-primary">
                                                    <i class="ace-icon fa fa-key"></i>
                                                    <span class="bigger-110">Login</span>
                                                </button>
                                            </div>
                                            <div class="space-4"></div>
                                            {% if app.session.get('user.intentos') is defined and last_username != '' %}
                                                <br>
                                                {% if app.session.get('user.intentos') >= app_globals.attempts_userlogin %}
                                                    <div class="text-info center">
                                                        <strong>Usted ha superado el Número de intentos permitidos</strong>
                                                    </div>
                                                {% else %}
                                                    <div class="text-warning center">
                                                        <strong>Intento Nº {{ app.session.get('user.intentos') }} de {{ app_globals.attempts_userlogin }}</strong>
                                                    </div>
                                                {% endif %}
                                            {% endif %}
                                            {% if error %}
                                                <div class="text-danger center">
                                                    <p>
                                                        <strong>
                                                            {{ error.messageKey|trans(error.messageData, 'security') }}
                                                        </strong>
                                                    </p>
                                                </div>
                                            {% endif %}
                                        </fieldset>
                                    </form>
                                </div><!-- /.widget-main -->
                                <div class="toolbar clearfix">
                                    <div>
                                        <a href="#" data-target="#forgot-box" class="forgot-password-link">
                                            Olvidó su contraseña?
                                            <i class="ace-icon fa fa-arrow-right"></i>
                                        </a>
                                    </div>
                                </div>
                            </div><!-- /.widget-body -->
                        </div><!-- /.login-box -->
                        <div id="forgot-box" class="forgot-box widget-box no-border">
                            <div class="widget-body">
                                <div class="widget-main">
                                    <h4 class="header red lighter bigger">
                                        <i class="ace-icon fa fa-key"></i>
                                        Restablecer Contraseña
                                    </h4>
                                    <div class="space-6"></div>
                                    <form id="frmResetPass" method='post' autocomplete="off">
                                        <fieldset>
                                            <div class="form-group">
                                                <label class="block clearfix">
                                                    <span class="block input-icon input-icon-right">
                                                        <input name="username" id="username" type="text" class="form-control required alphanumeric" placeholder="Usuario"/>
                                                        <i class="ace-icon fa fa-user"></i>
                                                    </span>
                                                </label>
                                            </div>
                                            <div class="form-group">
                                                <label class="block clearfix">
                                                    <span class="block input-icon input-icon-right">
                                                        <input name="email" id="email" type="email" class="form-control required email" placeholder="Email"/>
                                                        <i class="ace-icon fa fa-envelope"></i>
                                                    </span>
                                                </label>
                                            </div>
                                            <div class="clearfix">
                                                <button id="sendMail" type="submit" class="width-35 pull-right btn btn-sm btn-danger">
                                                    <i class="ace-icon fa fa-lightbulb-o"></i>
                                                    <span class="bigger-110">Enviar</span>
                                                </button>
                                            </div>
                                        </fieldset>
                                    </form>
                                </div><!-- /.widget-main -->
                                <div class="toolbar center">
                                    <a href="#" data-target="#login-box" class="back-to-login-link">
                                        Regresar al login
                                        <i class="ace-icon fa fa-arrow-right"></i>
                                    </a>
                                </div>
                            </div><!-- /.widget-body -->
                        </div><!-- /.forgot-box -->
                    </div><!-- /.position-relative -->
                </div>
                <div class="center" style="padding: 10px;">
                    <img src="{{asset("bundles/coregui/app/images/logorpis.png")}}" style="width:145px;height:45px;"/>
                </div>
            </div><!-- /.main-content -->
        </div><!-- /.main-container -->
    </body>
{% endblock body%}